Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232260 - CVE-2007-1217 Overflow in CAPI subsystem
Summary: CVE-2007-1217 Overflow in CAPI subsystem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Anton Arapov
QA Contact: Martin Jenner
URL:
Whiteboard: impact=moderate,source=vendorsec,repo...
Depends On:
Blocks: 247198
TreeView+ depends on / blocked
 
Reported: 2007-03-14 16:13 UTC by Marcel Holtmann
Modified: 2014-06-18 08:00 UTC (History)
4 users (show)

Fixed In Version: RHSA-2007-0705
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-13 09:13:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
bugfix for RHEL-5.0.z (deleted)
2007-05-24 09:14 UTC, Anton Arapov
no flags Details | Diff
Patch by Don Howard (deleted)
2007-06-28 07:49 UTC, Anton Arapov
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0705 normal SHIPPED_LIVE Important: kernel security update 2007-09-13 09:21:22 UTC

Comment 2 Anton Arapov 2007-05-24 09:14:31 UTC
Created attachment 155324 [details]
bugfix for RHEL-5.0.z

Bugfix is in a upstream:
commit #: 17f0cd2f350b90b28301e27fe0e39f34bfe7e730

Comment 3 Anton Arapov 2007-06-08 08:15:45 UTC
Comment on attachment 155324 [details]
bugfix for RHEL-5.0.z

this patch brakes kABI. we need to work on it.

Comment 5 Anton Arapov 2007-06-28 07:49:24 UTC
Created attachment 158100 [details]
Patch by Don Howard

Upstream patch breaks kABI. The following patch do bounds checking when
printing.

Comment 6 RHEL Product and Program Management 2007-08-13 17:46:09 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 Don Howard 2007-08-29 19:29:56 UTC
A patch for this issue has been included in build 2.6.18-8.1.9.

Comment 10 Red Hat Bugzilla 2007-09-13 09:13:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0705.html



Note You need to log in before you can comment on or make changes to this bug.